Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Class JMSEventGenChannelConfiguration

    java.lang.Object
      com.bea.wli.management.configuration.JMSEventGenChannelConfiguration

All Implemented Interfaces:
  Serializable

    public class JMSEventGenChannelConfiguration

extends Object
implements Serializable

Represents a channel rule for a JMS Event Generator.

Rule Fields:

- matchJmsProperty, matchJmsPropertyValue
  - If the jms property indicated by matchJmsPropertyName matches matchJmsPropertyValue, that’s a match.
  - If matchJmsPropertyName is configured but matchJmsPropertyValue isn’t, the presence of the property will trigger the match.
  - If matchJmsPropertyName is absent, that’s always a match (like the default in a case statement)

Other fields:

- channel - channel to send to if rules match
- comment - comment for this channel rule
- packageType - package type to send (xml, RawData, String)

See Also:
  `JMSEventGenConfigurationMBean`, Serialized Form

Constructor Summary
`JMSEventGenChannelConfiguration()`

Method Summary
`String` | `getChannel()` Get the name of the channel
`String` | `getComment()` Get the comment attribute
`String` | `getMatchJmsPropertyName()` Get the matchJmsPropertyName Attribute
`String` | `getMatchJmsPropertyValue()` Get the matchJmsPropertyValues attribute
`String` | `getPublishAsUser()` Get the publishAsUser attribute
`void` | `setChannel(String channel)` Set the channel attribute
`void` | `setComment(String comment)` Set the comment attribute
`void` | `setMatchJmsPropertyName(String matchJmsPropertyName)` Set the matchJmsProperty attribute
`void` | `setMatchJmsPropertyValue(String matchJmsPropertyValue)` Set the matchJmsValue attribute
`void` | `setPublishAsUser(String publishAsUser)` Set the publishAsUser attribute
`String` | `toString()` Returns a string representation of this channel

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JMSEventGenChannelConfiguration

    public JMSEventGenChannelConfiguration()

Method Detail

### toString

    public String toString()

  Returns a string representation of this channel

  Overrides:
    `toString` in class `Object`

### getChannel

    public String getChannel()

  Get the name of the channel

  Returns:
    name of channel

### getMatchJmsPropertyName

    public String getMatchJmsPropertyName()

  Get the matchJmsPropertyName Attribute

  Returns:
    matchJmsPropertyName attribute

### getMatchJmsPropertyValue

    public String getMatchJmsPropertyValue()

  Get the matchJmsPropertyValues attribute

  Returns:
    matchJmsPropertyValue attribute

### getComment

    public String getComment()

  Get the comment attribute

  Returns:
    comment attribute

### getPublishAsUser

    public String getPublishAsUser()

  Get the publishAsUser attribute

  Returns:
    publishAsUser attribute

### setChannel

    public void setChannel(String channel)

  Set the channel attribute

  Parameters:
    `channel` - the channel for the event generator

### setMatchJmsPropertyName

    public void setMatchJmsPropertyName(String matchJmsPropertyName)

  Set the matchJmsProperty attribute

  Parameters:
    `matchJmsPropertyName` - property to set

### setMatchJmsPropertyValue

    public void setMatchJmsPropertyValue(String matchJmsPropertyValue)

  Set the matchJmsValue attribute

  Parameters:
    `matchJmsPropertyValue` - property to set

### setComment

    public void setComment(String comment)

  Set the comment attribute

  Parameters:
    `comment` - is a user comment.

### setPublishAsUser

    public void setPublishAsUser(String publishAsUser)

  Set the publishAsUser attribute

  Parameters:
    `publishAsUser` - property to set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD